
var earthFile,
	earthFileStream,
	earthBuffer;

function fileReader(args) {
	if (args.bytesProcessed === -1) {
		Ti.API.error('Done');
		$.earthImage.image = earthBuffer.toBlob();
		earthBuffer.release();

		$.earthImage.animate({
			opacity: 1,
			duration: 100
		});
	} else {
		Ti.API.error(args.bytesProcessed + ' of ' + args.totalBytesProcessed);
		if (_.isNull(earthBuffer)) {
			earthBuffer = Ti.createBuffer();
		}

		earthBuffer.append(args.buffer);
	}
}

function loadEarth() {
	$.earthImage.image = null;
	$.earthImage.opacity = 0;

	earthFile = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, 'images', 'Earth.jpg');
	earthFileStream = Ti.Filesystem.openStream(Ti.Filesystem.MODE_READ, earthFile.nativePath);
	earthBuffer = null;

	Ti.Stream.pump(earthFileStream, fileReader, 512, true);
}

$.earthImage.addEventListener('singletap', loadEarth);

$.index.open();

loadEarth();
